> ## Documentation Index
> Fetch the complete documentation index at: https://developers.speedvitals.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a TTFB region

> Retrieves a TTFB region info



## OpenAPI

````yaml api-reference/openapi.json get /v1/ttfb-regions/{id}
openapi: 3.1.0
info:
  contact:
    email: contact@speedvitals.com
    name: SpeedVitals Dev Team
    url: https://speedvitals.com
  description: >
    The SpeedVitals REST API. Please see
    [https://docs.speedvitals.com/api](https://docs.speedvitals.com/api/) for
    more details.
  termsOfService: https://speedvitals.com/terms-of-use
  title: SpeedVitals API
  version: 0.1.0
servers:
  - url: https://api.speedvitals.com
security:
  - apiKey: []
tags:
  - name: Ping
  - name: Devices
  - name: Locations
  - name: Lighthouse Tests
  - name: Lighthouse Batch Tests
  - name: TTFB Regions
  - name: TTFB Tests
  - name: Account
externalDocs:
  description: Home
  url: https://speedvitals.com
paths:
  /v1/ttfb-regions/{id}:
    get:
      tags:
        - TTFB Regions
      summary: Get a TTFB region
      description: Retrieves a TTFB region info
      operationId: GetTtfbRegion
      parameters:
        - in: path
          name: id
          description: Region id
          required: true
          schema:
            maxLength: 5000
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ttfb_region'
          description: Successful response.
        '404':
          $ref: '#/components/responses/NotFound'
          description: TTFB Region not found
      security: []
components:
  schemas:
    ttfb_region:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/ttfb_region_id'
        name:
          type: string
          example: Asia Pacific and Africa
        locations:
          type: array
          items:
            $ref: '#/components/schemas/ttfb_location'
    ttfb_region_id:
      type: string
      example: asia
      enum:
        - asia
        - america
        - europe
    ttfb_location:
      type: object
      properties:
        id:
          type: string
          example: del
        name:
          type: string
          example: Delhi
  responses:
    NotFound:
      description: Resource Not Found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````